Google Chrome i386 breaking Linux Mint update

Today, while updating my system, I got the following error:

W: Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release: Unable to find expected entry 'main/binary-i386/Packages' in Release file (Wrong sources.list entry or malformed file)  

While searching around, I found out that Google announced the end of support for 32bit Chrome on Linux.

The solution is quite simple:

  1. If you have a 64bit system, just specify your architecture in the source file. In my case, the file was /etc/apt/sources.list.d/google-chrome.list
    Just add [arch=amd64] before the URL:
    deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

  2. If you use a 32bit installation of Google Chrome, stop using it. Since it won't receive security updates, you'll be vulnerable to all sorts of threats. You can either install a 64bit version of your system or switch to Chromium, which will receive future updates.